Subject: bug#51928: GHC 8.10 occupies 1.6 GiB

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 23 Sep 2023 08:18:09 +0200

Hi,

> still current.

I’m not so sure about that. We link (most/all?) Haskell binaries
(pandoc for example) statically, so none of them should pull in GHC any
more. If they do, that’s a bug.

It’s almost impossible to untangle GHC libraries (and also GHC itself),
since there are circular references between config files, static libraries
and shared libraries. So I believe the solution above is the best we
can do right now.

Cheers,
Lars